Subject: Re: [PATCH v3 net 0/4] Fix passing 0 to ERR_PTR in intel ether drivers

From: Simon Horman <[email-masked]>
Date: Tue, 22 Oct 2024 08:32:25 +0100

On Tue, Oct 22, 2024 at 02:56:19PM +0800, Yue Haibing wrote:
> Fixing sparse error in xdp run code by introducing new variable xdp_res
> instead of overloading this into the skb pointer as i40e drivers done
> in commit 12738ac4754e ("i40e: Fix sparse errors in i40e_txrx.c") and
> commit ae4393dfd472 ("i40e: fix broken XDP support").
> 
> v3: Fix uninitialized 'xdp_res' in patch 3 and 4 which Reported-by
>     kernel test robot
> v2: Fix this as i40e drivers done instead of return NULL in xdp run code

Hi Yue Haibing, all,

I like these changes a lot. But I do wonder if it would
be more appropriate to target them at net-next (or iwl-next)
rather than net, without Fixes tags. This is because they
don't seem to be fixing (user-visible) bugs. Am I missing something?

...